Bug 368131 - elinks can't handle large files correctly
elinks can't handle large files correctly
Product: Fedora
Classification: Fedora
Component: elinks (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-06 06:53 EST by Karsten Hopp
Modified: 2008-08-19 06:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-19 06:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot showing the wrong (negative) values for average speed and received bytes (28.61 KB, image/jpeg)
2007-11-06 06:53 EST, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2007-11-06 06:53:26 EST
Description of problem:
although elinks seems to download the large F8-x86_64 DVD ISO quite well, it
displays some nonsense about the received bytes and the average speed.
I'll attach a screenshot.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. download a large file, p.e. the F8 DVD ISO from a webserver
Comment 1 Karsten Hopp 2007-11-06 06:53:26 EST
Created attachment 248971 [details]
screenshot showing the wrong (negative) values for average speed and received bytes
Comment 2 Ondrej Vasik 2007-11-06 07:42:57 EST
Problem is known upstream for quiet a long (since 09/2004) - as you can see

Milestone is set to future for that bug, so it seems to be too complex to solve
easily - is not working even in latest GIT snapshot. When I tried to start
download from file:///mnt/mirror/... , it just said file too big. When
downloading via ftp, it allowed to start download, so I think correct behaviour
should be that the download will not start. 
Comment 3 Bug Zapper 2008-04-04 10:26:26 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Kamil Dudka 2008-07-30 11:52:15 EDT
I can't reproduce this bug. I have tested it on i386 and x86_64. So I have some 

1. What is your architecture?

2. Is this behavior specific for http protocol? Or server? (I have no access to

3. How large must the file be? Does it display the nonsense immediately after 
download starts?
Comment 5 Karsten Hopp 2008-08-19 06:05:15 EDT
I can't reproduce this anymore with my current system (elinks-0.11.4-1.fc10)

Note You need to log in before you can comment on or make changes to this bug.